package com.bocloud.cmp.provider.network;

import com.bocloud.cmp.model.SecurityGroupModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface SecurityGroupProvider extends SuperProvider {

    default BocloudResult list() {
        return null;
    }

    public BocloudResult create(SecurityGroupModel group);

    default BocloudResult remove(String sgId) {
        return null;
    }

    default BocloudResult getByVpc(String vpcId) {
        return null;
    }

    default BocloudResult detail(String sgId) {
        return null;
    }

    public BocloudResult modify(SecurityGroupModel model);

    default BocloudResult list(String zone) {
        return null;
    }

    default BocloudResult getProjectDefaultSecg() {
        return null;
    }

}
